Package org.eclipse.ui.cheatsheets

## Interface ICheatSheetEvent

    public interface ICheatSheetEvent

Event in the life cycle of a cheat sheet.

Events over the life time of a running cheat sheet follow this pattern:

     opened { started | restored } { restarted | completed }* closed

Since:
  3.0
See Also:
  `CheatSheetListener`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static int` `CHEATSHEET_CLOSED` Event type constant (value 1) indicating that the cheat sheet was closed.
`static int` `CHEATSHEET_COMPLETED` Event type constant (value 4) indicating that the cheat sheet has been completed.
`static int` `CHEATSHEET_OPENED` Event type constant (value 0) indicating that the cheat sheet was opened.
`static int` `CHEATSHEET_RESTARTED` Event type constant (value 3) indicating that the cheat sheet was restarted.
`static int` `CHEATSHEET_RESTORED` Event type constant (value 5) indicating that the cheat sheet has been restored.
`static int` `CHEATSHEET_STARTED` Event type constant (value 2) indicating that the cheat sheet was started.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getCheatSheetID()` Returns the id of the cheat sheet that generated this event.
`ICheatSheetManager` `getCheatSheetManager()` Returns the cheat sheet manager responsible for executing the cheat sheet.
`int` `getEventType()` Returns the type of this cheat sheet event.

### Field Detail

#### CHEATSHEET_OPENED

    static final int CHEATSHEET_OPENED

Event type constant (value 0) indicating that the cheat sheet was opened. This is the first event in the life of a running cheat sheet.

See Also:
  Constant Field Values

#### CHEATSHEET_CLOSED

    static final int CHEATSHEET_CLOSED

Event type constant (value 1) indicating that the cheat sheet was closed. This is the last event in the life of a running cheat sheet.

See Also:
  Constant Field Values

#### CHEATSHEET_STARTED

    static final int CHEATSHEET_STARTED

Event type constant (value 2) indicating that the cheat sheet was started.

See Also:
  Constant Field Values

#### CHEATSHEET_RESTARTED

    static final int CHEATSHEET_RESTARTED

Event type constant (value 3) indicating that the cheat sheet was restarted.

See Also:
  Constant Field Values

#### CHEATSHEET_COMPLETED

    static final int CHEATSHEET_COMPLETED

Event type constant (value 4) indicating that the cheat sheet has been completed.

See Also:
  Constant Field Values

#### CHEATSHEET_RESTORED

    static final int CHEATSHEET_RESTORED

Event type constant (value 5) indicating that the cheat sheet has been restored.

See Also:
  Constant Field Values

### Method Detail

#### getEventType

    int getEventType()

Returns the type of this cheat sheet event.

Returns:
  the event type code; one of the event type constants declared on this class

#### getCheatSheetID

    String getCheatSheetID()

Returns the id of the cheat sheet that generated this event.

Returns:
  the cheat sheet id

#### getCheatSheetManager

    ICheatSheetManager getCheatSheetManager()

Returns the cheat sheet manager responsible for executing the cheat sheet.

Returns:
  the cheat sheet manager